import { Asset, Chain } from '../constants';
import { AssetConfig, MoonChainConfig } from '../interfaces';
import { AssetsConfigs, ChainsConfigs, ChainXcmConfigs, ConfigGetter } from './config.interfaces';
export declare function createConfigGetter<Assets extends Asset = Asset, Chains extends Chain = Chain>(assets: AssetsConfigs<Assets>, moonAsset: AssetConfig<Assets>, moonChain: MoonChainConfig, chains: ChainsConfigs<Chains>, configs: ChainXcmConfigs<Assets, Chains>): ConfigGetter<Assets, Chains>;
export declare const moonbase: ConfigGetter<Asset.ASTR | Asset.BSX | Asset.CLV | Asset.CRU | Asset.DEV | Asset.KBTC | Asset.KINT | Asset.LIT | Asset.PARING | Asset.TEER | Asset.UNIT, Chain.AlphanetRelay | Chain.AstarAlphanet | Chain.BasiliskAlphanet | Chain.CloverAlphanet | Chain.CrustShadowAlphanet | Chain.DarwiniaAlphanet | Chain.IntegriteeAlphanet | Chain.InterBTCAlphanet | Chain.LitentryAlphanet>;
export declare const moonbeam: ConfigGetter<Asset.ACA | Asset.AUSD | Asset.DOT | Asset.GLMR | Asset.IBTC | Asset.INTR | Asset.PARA | Asset.PHA, Chain.Acala | Chain.Interley | Chain.Parallel | Chain.Phala | Chain.Polkadot>;
export declare const moonriver: ConfigGetter<Asset.AUSD | Asset.BNC | Asset.CRAB | Asset.CSM | Asset.HKO | Asset.KAR | Asset.KBTC | Asset.KINT | Asset.KMA | Asset.KSM | Asset.LIT | Asset.MOVR | Asset.PHA | Asset.RMRK | Asset.SDN | Asset.TEER | Asset.USDT, Chain.Bifrost | Chain.Calamari | Chain.CrustShadow | Chain.Darwinia | Chain.Integritee | Chain.Karura | Chain.Khala | Chain.Kintsugi | Chain.Kusama | Chain.Litmus | Chain.Parallel | Chain.Shiden | Chain.Statemine>;
