"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ASTR = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.Asset.ASTR];
const origin = moonbase_common_1.chains[constants_1.Chain.AstarAlphanet];
exports.ASTR = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .here(),
        },
    },
    withdraw: {
        [origin.chain]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.system(),
            destination: origin,
            feePerWeight: 8000000,
        }),
    },
};
//# sourceMappingURL=astr.js.map