"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KBTC = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.Asset.KBTC];
const feeAsset = moonbase_common_1.assets[constants_1.Asset.KINT];
const origin = moonbase_common_1.chains[constants_1.Chain.InterBTCAlphanet];
exports.KBTC = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbase_common_1.balance.tokens(asset.originSymbol),
            sourceFeeBalance: moonbase_common_1.balance.tokens(feeAsset.originSymbol),
            isNativeAssetPayingMoonFee: true,
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transferMultiCurrencies()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .assets(asset, feeAsset),
        },
    },
    withdraw: {
        [origin.chain]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 0.00001,
        }),
    },
};
//# sourceMappingURL=kbtc.js.map