"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KINT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.Asset.KINT];
const origin = moonbase_common_1.chains[constants_1.Chain.InterBTCAlphanet];
exports.KINT = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbase_common_1.balance.tokens(asset.originSymbol),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.Transferred)
                .origin(origin)
                .asset({ Token: asset.originSymbol }),
        },
    },
    withdraw: {
        [origin.chain]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 8,
        }),
    },
};
//# sourceMappingURL=kint.js.map