"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ACA = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.Asset.ACA];
const origin = moonbeam_common_1.chains[constants_1.Chain.Acala];
exports.ACA = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbeam_common_1.balance.system(),
            extrinsic: moonbeam_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({
                Token: asset.originSymbol,
            }),
        },
    },
    withdraw: {
        [origin.chain]: moonbeam_common_1.withdraw.xTokens({
            balance: moonbeam_common_1.balance.system(),
            destination: origin,
            feePerWeight: 8,
        }),
    },
};
//# sourceMappingURL=aca.js.map