"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PARA = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.Asset.PARA];
const origin = moonbeam_common_1.chains[constants_1.Chain.Parallel];
exports.PARA = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbeam_common_1.balance.system(),
            extrinsic: moonbeam_common_1.extrinsic
                .xTokens()
                .transferMultiAsset()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset(asset),
        },
    },
    withdraw: {
        [origin.chain]: moonbeam_common_1.withdraw.xTokens({
            balance: moonbeam_common_1.balance.system(),
            destination: origin,
            feePerWeight: 16,
        }),
    },
};
//# sourceMappingURL=para.js.map