"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CRAB = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.Asset.CRAB];
const origin = moonriver_common_1.chains[constants_1.Chain.Darwinia];
exports.CRAB = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonriver_common_1.balance.system(),
            extrinsic: moonriver_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X1(),
        },
    },
    withdraw: {
        [origin.chain]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.system(),
            destination: origin,
            feePerWeight: 8,
        }),
    },
};
//# sourceMappingURL=crab.js.map