"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KSM = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.Asset.KSM];
const origin = moonriver_common_1.chains[constants_1.Chain.Kusama];
exports.KSM = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonriver_common_1.balance.system(),
            extrinsic: moonriver_common_1.extrinsic
                .xcmPallet()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin),
        },
    },
    withdraw: {
        [origin.chain]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.system(),
            destination: origin,
            feePerWeight: 0.42,
        }),
    },
};
//# sourceMappingURL=ksm.js.map