"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONRIVER_CHAINS_CONFIGS = exports.MOONRIVER_CHAINS = void 0;
const constants_1 = require("../../constants");
exports.MOONRIVER_CHAINS = [
    constants_1.Chain.Bifrost,
    constants_1.Chain.Calamari,
    constants_1.Chain.CrustShadow,
    constants_1.Chain.Darwinia,
    constants_1.Chain.Integritee,
    constants_1.Chain.Karura,
    constants_1.Chain.Khala,
    constants_1.Chain.Kintsugi,
    constants_1.Chain.Kusama,
    constants_1.Chain.Litmus,
    constants_1.Chain.Parallel,
    constants_1.Chain.Shiden,
    constants_1.Chain.Statemine,
];
exports.MOONRIVER_CHAINS_CONFIGS = {
    [constants_1.Chain.Bifrost]: {
        chain: constants_1.Chain.Bifrost,
        name: 'Bifrost',
        ws: 'wss://bifrost-rpc.liebi.com/ws',
        weight: 1000000000,
        parachainId: 2001,
    },
    [constants_1.Chain.Calamari]: {
        chain: constants_1.Chain.Calamari,
        name: 'Calamari',
        ws: 'wss://ws.calamari.systems',
        weight: 1000000000,
        parachainId: 2084,
    },
    [constants_1.Chain.CrustShadow]: {
        chain: constants_1.Chain.CrustShadow,
        name: 'CrustShadow',
        ws: 'wss://rpc2-shadow.crust.network',
        weight: 1000000000,
        parachainId: 2012,
    },
    [constants_1.Chain.Darwinia]: {
        chain: constants_1.Chain.Darwinia,
        name: 'Darwinia',
        ws: 'wss://crab-parachain-rpc.darwinia.network',
        weight: 1000000000,
        parachainId: 2105,
    },
    [constants_1.Chain.Integritee]: {
        chain: constants_1.Chain.Integritee,
        name: 'Integritee',
        ws: 'wss://integritee-kusama.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2015,
    },
    [constants_1.Chain.Karura]: {
        chain: constants_1.Chain.Karura,
        name: 'Karura',
        ws: 'wss://karura.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2000,
        moonAssetId: 3,
    },
    [constants_1.Chain.Khala]: {
        chain: constants_1.Chain.Khala,
        name: 'Khala',
        ws: 'wss://khala.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2004,
        moonAssetId: 6,
        palletInstance: 10,
    },
    [constants_1.Chain.Kintsugi]: {
        chain: constants_1.Chain.Kintsugi,
        name: 'Kintsugi',
        ws: 'wss://api-kusama.interlay.io/parachain',
        weight: 1000000000,
        parachainId: 2092,
    },
    [constants_1.Chain.Kusama]: {
        chain: constants_1.Chain.Kusama,
        name: 'Kusama',
        ws: 'wss://kusama-rpc.polkadot.io',
        weight: 1000000000,
        parachainId: 0,
    },
    [constants_1.Chain.Litmus]: {
        chain: constants_1.Chain.Litmus,
        name: 'Litmus',
        ws: 'wss://rpc.litmus-parachain.litentry.io',
        weight: 1000000000,
        parachainId: 2106,
    },
    [constants_1.Chain.Parallel]: {
        chain: constants_1.Chain.Parallel,
        name: 'Parallel',
        ws: 'wss://heiko-rpc.parallel.fi',
        weight: 1000000000,
        parachainId: 2085,
        moonAssetId: 113,
    },
    [constants_1.Chain.Shiden]: {
        chain: constants_1.Chain.Shiden,
        name: 'Shiden',
        ws: 'wss://shiden.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2007,
        moonAssetId: 18446744073709551620n,
        palletInstance: 10,
    },
    [constants_1.Chain.Statemine]: {
        chain: constants_1.Chain.Statemine,
        name: 'Statemine',
        ws: 'wss://statemine-rpc.polkadot.io',
        weight: 1000000000,
        parachainId: 1000,
        palletInstance: 50,
    },
};
//# sourceMappingURL=moonriver.chains.js.map