import { MOONRIVER_ASSETS_CONFIGS as assets } from './moonriver.assets';
import { MOONRIVER_CHAINS_CONFIGS as chains } from './moonriver.chains';
export { assets, chains };
export declare const moonriver: import("../..").MoonChainConfig;
export declare const balance: {
    assets: (asset: number | bigint) => import("../../balance").AssetsBalanceConfig;
    min: (asset: number) => import("../../balance").MinBalanceConfig;
    system: () => import("../../balance").SystemBalanceConfig;
    tokens: (asset: number | bigint | import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT | "MOVR" | "KUSD" | "AUSD") => import("../../balance").TokensBalanceConfig<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>;
};
export declare const extrinsic: {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    V0: () => import("../../extrinsic").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("../../extrinsic").PolkadotXcmPallet;
                        X1: () => import("../../extrinsic").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => import("../../extrinsic").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    asset: (token: import("../../extrinsic").XTokensTransferExtrinsicParamsAsset<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>) => import("../../extrinsic").XTokensTransferExtrinsic<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    asset: (asset: import("../..").AssetConfig<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>) => import("../../extrinsic").XTokensTransferMultiAssetExtrinsic<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    assets: (asset: import("../..").AssetConfig<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>, feeAsset: import("../..").AssetConfig<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>) => import("../../extrinsic").XTokensTransferMultiCurrenciesExtrinsic<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    here: () => import("../../extrinsic").XTransferPallet;
                    X2: (palletInstance: number) => import("../../extrinsic").XTransferPallet;
                };
            };
        };
    };
};
export declare const withdraw: {
    xTokens: (options: import("../../withdraw").WithdrawXTokensOptions<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>) => import("../../withdraw").WithdrawXTokensConfig<import("../../constants").Asset.AUSD | import("../../constants").Asset.BNC | import("../../constants").Asset.CRAB | import("../../constants").Asset.CSM | import("../../constants").Asset.HKO | import("../../constants").Asset.KAR | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.KMA | import("../../constants").Asset.KSM | import("../../constants").Asset.LIT | import("../../constants").Asset.MOVR | import("../../constants").Asset.PHA | import("../../constants").Asset.RMRK | import("../../constants").Asset.SDN | import("../../constants").Asset.TEER | import("../../constants").Asset.USDT>;
};
