import { Asset } from '../constants';
import { MoonChainConfig } from '../interfaces';
export declare function createExtrinsicBuilder<Assets extends Asset = Asset>(chain: MoonChainConfig): {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("./polkadotXcm").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => {
                    V0: () => import("./polkadotXcm").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("./polkadotXcm").PolkadotXcmPallet;
                        X1: () => import("./polkadotXcm").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("./polkadotXcm").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("./polkadotXcm").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("./polkadotXcm").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("./polkadotXcm").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => import("./xcmPallet").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("./xTokens").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => {
                    asset: (token: import("./xTokens").XTokensTransferExtrinsicParamsAsset<Assets>) => import("./xTokens").XTokensTransferExtrinsic<Assets>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("./xTokens").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => {
                    asset: (asset: import("../interfaces").AssetConfig<Assets>) => import("./xTokens").XTokensTransferMultiAssetExtrinsic<Assets>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("./xTokens").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => {
                    assets: (asset: import("../interfaces").AssetConfig<Assets>, feeAsset: import("../interfaces").AssetConfig<Assets>) => import("./xTokens").XTokensTransferMultiCurrenciesExtrinsic<Assets>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("./xTransfer").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").ChainConfig) => {
                    here: () => import("./xTransfer").XTransferPallet;
                    X2: (palletInstance: number) => import("./xTransfer").XTransferPallet;
                };
            };
        };
    };
};
