"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.polkadotXcm = void 0;
const polkadotXcm_constants_1 = require("./polkadotXcm.constants");
const polkadotXcm_util_1 = require("./polkadotXcm.util");
/* eslint-disable @typescript-eslint/no-use-before-define */
function polkadotXcm(chain) {
    return {
        limitedReserveTransferAssets: () => limitedReserveTransferAssets(chain),
        limitedReserveWithdrawAssets: () => limitedReserveWithdrawAssets(chain),
    };
}
exports.polkadotXcm = polkadotXcm;
function limitedReserveTransferAssets(chain) {
    return {
        successEvent: (event) => ({
            origin: (origin) => {
                const createExtrinsic = (0, polkadotXcm_util_1.getCreateExtrinsic)(polkadotXcm_constants_1.PolkadotXcmExtrinsic.LimitedReserveTransferAssets, event, chain, origin);
                return {
                    V0: () => createExtrinsic((amount) => ({
                        V0: [
                            {
                                ConcreteFungible: {
                                    id: 'Null',
                                    amount,
                                },
                            },
                        ],
                    })),
                    V1: () => ({
                        here: () => createExtrinsic((amount) => ({
                            V1: [
                                {
                                    id: {
                                        Concrete: {
                                            parents: 0,
                                            interior: 'Here',
                                        },
                                    },
                                    fun: {
                                        Fungible: amount,
                                    },
                                },
                            ],
                        })),
                        X1: () => createExtrinsic((amount) => ({
                            V1: [
                                {
                                    id: {
                                        Concrete: {
                                            parents: 0,
                                            interior: {
                                                X1: {
                                                    PalletInstance: 5,
                                                },
                                            },
                                        },
                                    },
                                    fun: {
                                        Fungible: amount,
                                    },
                                },
                            ],
                        })),
                        X2: (palletInstance, assetId) => createExtrinsic((amount) => ({
                            V1: [
                                {
                                    id: {
                                        Concrete: {
                                            parents: 0,
                                            interior: {
                                                X2: [
                                                    {
                                                        PalletInstance: palletInstance,
                                                    },
                                                    {
                                                        GeneralIndex: assetId,
                                                    },
                                                ],
                                            },
                                        },
                                    },
                                    fun: {
                                        Fungible: amount,
                                    },
                                },
                            ],
                        })),
                    }),
                };
            },
        }),
    };
}
function limitedReserveWithdrawAssets(chain) {
    return {
        successEvent: (event) => ({
            origin: (origin) => {
                const createExtrinsic = (0, polkadotXcm_util_1.getCreateExtrinsic)(polkadotXcm_constants_1.PolkadotXcmExtrinsic.LimitedReserveWithdrawAssets, event, chain, origin);
                return {
                    V1: () => ({
                        X2: (palletInstance) => createExtrinsic((amount) => ({
                            V1: [
                                {
                                    id: {
                                        Concrete: {
                                            parents: 1,
                                            interior: {
                                                X2: [
                                                    {
                                                        PalletInstance: palletInstance,
                                                    },
                                                    {
                                                        Parachain: chain.parachainId,
                                                    },
                                                ],
                                            },
                                        },
                                    },
                                    fun: {
                                        Fungible: amount,
                                    },
                                },
                            ],
                        })),
                    }),
                };
            },
        }),
    };
}
//# sourceMappingURL=polkadotXcm.js.map