"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCreateExtrinsic = void 0;
const extrinsic_constants_1 = require("../extrinsic.constants");
function getCreateExtrinsic(extrinsic, event, config, origin) {
    return (getAsset) => ({
        pallet: extrinsic_constants_1.ExtrinsicPallet.PolkadotXcm,
        extrinsic,
        successEvent: event,
        getParams: (account, amount) => [
            {
                V1: {
                    parents: 1,
                    interior: {
                        X1: {
                            Parachain: config.parachainId,
                        },
                    },
                },
            },
            {
                V1: {
                    parents: 0,
                    interior: {
                        X1: {
                            AccountKey20: {
                                network: 'Any',
                                key: account,
                            },
                        },
                    },
                },
            },
            getAsset(amount),
            0,
            {
                Limited: origin.weight,
            },
        ],
    });
}
exports.getCreateExtrinsic = getCreateExtrinsic;
//# sourceMappingURL=polkadotXcm.util.js.map