import { Asset } from '../../constants';
import { AssetConfig, ChainConfig, MoonChainConfig } from '../../interfaces';
import { XTokensExtrinsicSuccessEvent } from './xTokens.constants';
import { XTokensTransferExtrinsic, XTokensTransferExtrinsicParamsAsset, XTokensTransferMultiAssetExtrinsic, XTokensTransferMultiCurrenciesExtrinsic } from './xTokens.interfaces';
export declare function xTokens<Assets extends Asset = Asset>(chain: MoonChainConfig): {
    transfer: () => {
        successEvent: (event: XTokensExtrinsicSuccessEvent) => {
            origin: (origin: ChainConfig) => {
                asset: (token: XTokensTransferExtrinsicParamsAsset<Assets>) => XTokensTransferExtrinsic<Assets>;
            };
        };
    };
    transferMultiAsset: () => {
        successEvent: (event: XTokensExtrinsicSuccessEvent) => {
            origin: (origin: ChainConfig) => {
                asset: (asset: AssetConfig<Assets>) => XTokensTransferMultiAssetExtrinsic<Assets>;
            };
        };
    };
    transferMultiCurrencies: () => {
        successEvent: (event: XTokensExtrinsicSuccessEvent) => {
            origin: (origin: ChainConfig) => {
                assets: (asset: AssetConfig<Assets>, feeAsset: AssetConfig<Assets>) => XTokensTransferMultiCurrenciesExtrinsic<Assets>;
            };
        };
    };
};
