"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LIT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.Asset.LIT];
const origin = moonbase_common_1.chains[constants_1.Chain.LitentryAlphanet];
exports.LIT = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset('SelfReserve'),
        },
    },
    withdraw: {
        [origin.chain]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.system(),
            destination: origin,
            feePerWeight: 8,
        }),
    },
};
//# sourceMappingURL=lit.js.map