import { MOONBASE_ASSETS_CONFIGS as assets } from './moonbase.assets';
import { MOONBASE_CHAINS_CONFIGS as chains } from './moonbase.chains';
export { assets, chains };
export declare const moonbase: import("../..").MoonChainConfig;
export declare const balance: {
    assets: (asset: number | bigint) => import("../../balance").AssetsBalanceConfig;
    min: (asset: number) => import("../../balance").MinBalanceConfig;
    system: () => import("../../balance").SystemBalanceConfig;
    tokens: (asset: number | bigint | import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT | "MOVR" | "KUSD" | "AUSD") => import("../../balance").TokensBalanceConfig<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>;
};
export declare const extrinsic: {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    V0: () => import("../../extrinsic").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("../../extrinsic").PolkadotXcmPallet;
                        X1: () => import("../../extrinsic").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => import("../../extrinsic").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    asset: (token: import("../../extrinsic").XTokensTransferExtrinsicParamsAsset<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>) => import("../../extrinsic").XTokensTransferExtrinsic<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    asset: (asset: import("../..").AssetConfig<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>) => import("../../extrinsic").XTokensTransferMultiAssetExtrinsic<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    assets: (asset: import("../..").AssetConfig<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>, feeAsset: import("../..").AssetConfig<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>) => import("../../extrinsic").XTokensTransferMultiCurrenciesExtrinsic<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").ChainConfig) => {
                    here: () => import("../../extrinsic").XTransferPallet;
                    X2: (palletInstance: number) => import("../../extrinsic").XTransferPallet;
                };
            };
        };
    };
};
export declare const withdraw: {
    xTokens: (options: import("../../withdraw").WithdrawXTokensOptions<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>) => import("../../withdraw").WithdrawXTokensConfig<import("../../constants").Asset.ASTR | import("../../constants").Asset.BSX | import("../../constants").Asset.CLV | import("../../constants").Asset.CRU | import("../../constants").Asset.DEV | import("../../constants").Asset.KBTC | import("../../constants").Asset.KINT | import("../../constants").Asset.LIT | import("../../constants").Asset.PARING | import("../../constants").Asset.TEER | import("../../constants").Asset.UNIT>;
};
