"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KINT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.Asset.KINT];
const origin = moonriver_common_1.chains[constants_1.Chain.Kintsugi];
exports.KINT = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonriver_common_1.balance.tokens(asset.originSymbol),
            extrinsic: moonriver_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({ Token: asset.originSymbol }),
        },
    },
    withdraw: {
        [origin.chain]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 0.21,
        }),
    },
};
//# sourceMappingURL=kint.js.map