"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LIT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.Asset.LIT];
const origin = moonriver_common_1.chains[constants_1.Chain.Litmus];
exports.LIT = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            extrinsic: moonriver_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset('SelfReserve'),
        },
    },
    withdraw: {
        [origin.chain]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.system(),
            destination: origin,
            feePerWeight: 0.8,
        }),
    },
};
//# sourceMappingURL=lit.js.map