"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xcmPallet = void 0;
const extrinsic_constants_1 = require("../extrinsic.constants");
const polkadotXcm_1 = require("../polkadotXcm");
/* eslint-disable @typescript-eslint/no-use-before-define */
function xcmPallet(chain) {
    return {
        limitedReserveTransferAssets: () => limitedReserveTransferAssets(chain),
    };
}
exports.xcmPallet = xcmPallet;
function limitedReserveTransferAssets(chain) {
    return {
        successEvent: (event) => ({
            origin: (origin) => {
                const createExtrinsic = (0, polkadotXcm_1.getCreateExtrinsic)(polkadotXcm_1.PolkadotXcmExtrinsic.LimitedReserveTransferAssets, event, chain, origin);
                return {
                    ...createExtrinsic((amount) => ({
                        V0: [
                            {
                                ConcreteFungible: {
                                    id: 'Null',
                                    amount,
                                },
                            },
                        ],
                    })),
                    pallet: extrinsic_constants_1.ExtrinsicPallet.XcmPallet,
                };
            },
        }),
    };
}
//# sourceMappingURL=xcmPallet.js.map